
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>entity.scenario module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-entity.scenario">
<span id="entity-scenario-module"></span><h1>entity.scenario module<a class="headerlink" href="#module-entity.scenario" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="entity.scenario.ETLScenario">
<em class="property">class </em><code class="sig-prename descclassname">entity.scenario.</code><code class="sig-name descname">ETLScenario</code><span class="sig-paren">(</span><em class="sig-param">scenario_id: str</em>, <em class="sig-param">scenario_name: str</em>, <em class="sig-param">is_active: bool</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">*</em>, <em class="sig-param">execution_schema: str</em>, <em class="sig-param">output_schema: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ETLScenario" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="entity.html#entity.Entity" title="entity.Entity"><code class="xref py py-class docutils literal notranslate"><span class="pre">entity.Entity</span></code></a></p>
<dl class="method">
<dt id="entity.scenario.ETLScenario.initialize_with_adaptor">
<em class="property">classmethod </em><code class="sig-name descname">initialize_with_adaptor</code><span class="sig-paren">(</span><em class="sig-param">schema: str</em>, <em class="sig-param">workflow: entity.workflow.Workflow</em>, <em class="sig-param">input_adaptors: dict</em>, <em class="sig-param">parameters: dict</em>, <em class="sig-param">output_adaptors: list</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ETLScenario.initialize_with_adaptor" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ETLScenario.initialize_with_dataset">
<em class="property">classmethod </em><code class="sig-name descname">initialize_with_dataset</code><span class="sig-paren">(</span><em class="sig-param">scenario_id: int</em>, <em class="sig-param">scenario_name: str</em>, <em class="sig-param">scenario_meta: dict</em>, <em class="sig-param">is_active: bool</em>, <em class="sig-param">workflow: entity.workflow.Workflow</em>, <em class="sig-param">*</em>, <em class="sig-param">execution_schema: str</em>, <em class="sig-param">output_schema: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ETLScenario.initialize_with_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ETLScenario.prepare_query">
<code class="sig-name descname">prepare_query</code><span class="sig-paren">(</span><em class="sig-param">query: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ETLScenario.prepare_query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ETLScenario.mark_fail">
<code class="sig-name descname">mark_fail</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ETLScenario.mark_fail" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ETLScenario.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#entity.scenario.ETLScenario.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="entity.scenario.ValidationScenario">
<em class="property">class </em><code class="sig-prename descclassname">entity.scenario.</code><code class="sig-name descname">ValidationScenario</code><span class="sig-paren">(</span><em class="sig-param">scenario_id: str</em>, <em class="sig-param">scenario_name: str</em>, <em class="sig-param">is_active: bool</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">*</em>, <em class="sig-param">execution_schema: str</em>, <em class="sig-param">output_schema: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ValidationScenario" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="entity.html#entity.Entity" title="entity.Entity"><code class="xref py py-class docutils literal notranslate"><span class="pre">entity.Entity</span></code></a></p>
<dl class="method">
<dt id="entity.scenario.ValidationScenario.initialize_with_adaptor">
<em class="property">classmethod </em><code class="sig-name descname">initialize_with_adaptor</code><span class="sig-paren">(</span><em class="sig-param">schema: str</em>, <em class="sig-param">workflow: entity.workflow.Workflow</em>, <em class="sig-param">input_adaptors: dict</em>, <em class="sig-param">parameters: dict</em>, <em class="sig-param">input_adaptor_columns: dict</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ValidationScenario.initialize_with_adaptor" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ValidationScenario.initialize_with_dataset">
<em class="property">classmethod </em><code class="sig-name descname">initialize_with_dataset</code><span class="sig-paren">(</span><em class="sig-param">scenario_id: int</em>, <em class="sig-param">scenario_name: str</em>, <em class="sig-param">scenario_meta: dict</em>, <em class="sig-param">is_active: bool</em>, <em class="sig-param">workflow: entity.workflow.Workflow</em>, <em class="sig-param">*</em>, <em class="sig-param">execution_schema: str</em>, <em class="sig-param">output_schema: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ValidationScenario.initialize_with_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ValidationScenario.prepare_query">
<code class="sig-name descname">prepare_query</code><span class="sig-paren">(</span><em class="sig-param">query: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ValidationScenario.prepare_query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ValidationScenario.mark_fail">
<code class="sig-name descname">mark_fail</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#entity.scenario.ValidationScenario.mark_fail" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ValidationScenario.create_error_table_query">
<em class="property">static </em><code class="sig-name descname">create_error_table_query</code><span class="sig-paren">(</span><em class="sig-param">dataset_name: str</em><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#entity.scenario.ValidationScenario.create_error_table_query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ValidationScenario.create_success_table_query">
<em class="property">static </em><code class="sig-name descname">create_success_table_query</code><span class="sig-paren">(</span><em class="sig-param">dataset_name: str</em>, <em class="sig-param">columns: str</em><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#entity.scenario.ValidationScenario.create_success_table_query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ValidationScenario.create_total_count_query">
<em class="property">static </em><code class="sig-name descname">create_total_count_query</code><span class="sig-paren">(</span><em class="sig-param">dataset_name: str</em><span class="sig-paren">)</span> &#x2192; str<a class="headerlink" href="#entity.scenario.ValidationScenario.create_total_count_query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ValidationScenario.create_error_count_query">
<em class="property">static </em><code class="sig-name descname">create_error_count_query</code><span class="sig-paren">(</span><em class="sig-param">dataset_name: str</em>, <em class="sig-param">columns: str</em><span class="sig-paren">)</span> &#x2192; str<a class="headerlink" href="#entity.scenario.ValidationScenario.create_error_count_query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.scenario.ValidationScenario.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#entity.scenario.ValidationScenario.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/entity.scenario.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>